using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Smuggler
{
    public class Mesh
    {
        public MeshPart[] MeshParts { get; }

        public Mesh(MeshPart[] meshParts)
        {
            MeshParts = meshParts;
        }

        public void Draw(GraphicsDevice graphicsDevice, Matrix world, Matrix view, Matrix projection)
        {
            foreach (var meshPart in MeshParts)
            {
                meshPart.Draw(graphicsDevice, world, view, projection);
            }
        }
    }
}
